"""Vues pour l'authentification des utilisateurs."""

from django.shortcuts import render, redirect
from django.contrib.auth import authenticate, login, logout
from django.contrib import messages

from SGL.views import index


def connexion(request):
    """Gérez la connexion des utilisateurs."""
    if request.method == "POST":
        username = request.POST["username"]
        password = request.POST["password"]

        user = authenticate(username=username, password=password)

        if user is not None:
            login(request, user)
            return redirect(index)
        messages.error(request, "Nom d'utilisateur ou mot de passe incorrect.")

    return render(
        request,
        "authentification/login.html",
    )


def deconnexion(request):
    """Gérez la déconnexion des utilisateurs."""
    logout(request)
    return redirect("authentification:login")
